summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-10-13 17:44:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-10-14 06:51:51 +0700
commitb5431e3cca71e4cfdce6b502831a2529a9a8785e (patch)
tree54ddcdf66b15e0a00186a9b018637e153fca8ba7 /desktop
parent3976101229bf0f5bb4dd8677706b148004afc6f6 (diff)
downloadslackbuilds-b5431e3cca71e4cfdce6b502831a2529a9a8785e.tar.gz
slackbuilds-b5431e3cca71e4cfdce6b502831a2529a9a8785e.tar.xz
desktop/xed: Added (small and lightweight text editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xed/README30
-rw-r--r--desktop/xed/doinst.sh15
-rw-r--r--desktop/xed/slack-desc19
-rw-r--r--desktop/xed/xed.SlackBuild101
-rw-r--r--desktop/xed/xed.info10
5 files changed, 175 insertions, 0 deletions
diff --git a/desktop/xed/README b/desktop/xed/README
new file mode 100644
index 0000000000..b32d0c017f
--- /dev/null
+++ b/desktop/xed/README
@@ -0,0 +1,30 @@
+xed (small and lightweight text editor)
+
+xed is a small and lightweight text editor.
+
+xed supports most standard editing features, plus several not found
+in your average text editor (plugins being the most notable of these).
+
+Although new features are always under development, currently xed has:
+
+ * Complete support for UTF-8 text
+ * Syntax highlighting
+ * Support for editing remote files
+ * Search and Replace
+ * Printing and Print Previewing Support
+ * File Revert
+ * A complete preferences interface
+ * Configurable Plugin system, with optional python support
+
+Some of the plugins, packaged and installed with xed include, among others:
+
+ * Word count
+ * Spell checker
+ * Change case of selected text
+ * File Browser
+ * Sort
+ * Insert Date/Time
+ * Tag list
+
+xed is released under the GNU General Public License (GPL) version 2, see
+the file 'COPYING' for more information.
diff --git a/desktop/xed/doinst.sh b/desktop/xed/doinst.sh
new file mode 100644
index 0000000000..0254ea06d8
--- /dev/null
+++ b/desktop/xed/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/xed/slack-desc b/desktop/xed/slack-desc
new file mode 100644
index 0000000000..ca6261bd22
--- /dev/null
+++ b/desktop/xed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xed: xed (small and lightweight text editor)
+xed:
+xed: xed is a small and lightweight text editor.
+xed:
+xed: xed supports most standard editing features, plus several not found
+xed: in your average text editor (plugins being the most notable of these).
+xed:
+xed: home page: https://github.com/linuxmint/xed
+xed:
+xed:
+xed:
diff --git a/desktop/xed/xed.SlackBuild b/desktop/xed/xed.SlackBuild
new file mode 100644
index 0000000000..02b91dcb5d
--- /dev/null
+++ b/desktop/xed/xed.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+#
+# Slackware build script for xed.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for any purpose
+# with or without fee is hereby granted, provided that the above copyright
+# notice and this permission notice appear in all copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
+# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
+# FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
+# AUTHORS AND COPYRIGHT HOLDERS AND THEIR CONTRIBUTORS BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xed
+VERSION=${VERSION:-1.0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+./autogen.sh \
+ --with-gtk=3.0 \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libexecdir="/usr/lib/xed" \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+DOCS="AUTHORS COPYING ChangeLog HACKING NEWS.GNOME README"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xed/xed.info b/desktop/xed/xed.info
new file mode 100644
index 0000000000..1d8ee54c56
--- /dev/null
+++ b/desktop/xed/xed.info
@@ -0,0 +1,10 @@
+PRGNAM="xed"
+VERSION="1.0.6"
+HOMEPAGE="https://github.com/linuxmint/xed"
+DOWNLOAD="https://github.com/linuxmint/xed/archive/1.0.6/xed-1.0.6.tar.gz"
+MD5SUM="8c253539b14713884614b4836fa1089f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gnome-common yelp-tools gtksourceview3"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"